classification
Title: Remove duplicate tests in Lib/tests/re_tests.py
Type: behavior Stage: resolved
Components: Regular Expressions, Tests Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ezio.melotti, makdon, miss-islington, mrabarnett, serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2019-04-04 17:29 by xtreak, last changed 2019-09-11 16:46 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12689 merged xtreak, 2019-04-04 18:34
PR 15986 merged miss-islington, 2019-09-11 16:02
Messages (4)
msg339457 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-04-04 17:29
Currently Lib/tests/re_tests.py has duplicate elements in the tests list variable. This is a followup on https://github.com/python/cpython/pull/12662 where there seems to be around 100 elements that are duplicates in the list. This seems to have been due to some merge commits made long time ago.

Sample duplicates : https://github.com/python/cpython/pull/12662#issuecomment-479852101
msg347307 - (view) Author: makdon (makdon) * Date: 2019-07-05 05:31
It has been 3 months since this issues opened, and the 3.8 has released. Though it is a low priority, could we push this issue forward?
msg351963 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-11 16:02
New changeset e6557d3c62800f51ee6530c94a10b93d725504fa by Benjamin Peterson (Xtreak) in branch 'master':
bpo-36528: Remove duplicate re tests. (GH-2689)
https://github.com/python/cpython/commit/e6557d3c62800f51ee6530c94a10b93d725504fa
msg351976 - (view) Author: miss-islington (miss-islington) Date: 2019-09-11 16:46
New changeset f90cbcbfe318fc4f0107bfad3cfc653ad1501c58 by Miss Islington (bot) in branch '3.8':
bpo-36528: Remove duplicate re tests. (GH-2689)
https://github.com/python/cpython/commit/f90cbcbfe318fc4f0107bfad3cfc653ad1501c58
History
Date User Action Args
2019-09-11 16:46:31miss-islingtonsetnosy: + miss-islington
messages: + msg351976
2019-09-11 16:05:25benjamin.petersonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-11 16:02:49miss-islingtonsetpull_requests: + pull_request15615
2019-09-11 16:02:37benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg351963
2019-07-05 05:31:53makdonsetnosy: + makdon
messages: + msg347307
2019-04-04 18:34:11xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request12616
2019-04-04 17:29:17xtreaksetnosy: + ezio.melotti, mrabarnett
components: + Regular Expressions
2019-04-04 17:29:02xtreakcreate